Bug 486231 - samba not publishing shares, very likely due to service nmb dying following successful boot
samba not publishing shares, very likely due to service nmb dying following s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
: Reopened, Triaged
: 550356 649981 659018 692636 (view as bug list)
Depends On:
Blocks: 516998
  Show dependency treegraph
 
Reported: 2009-02-18 18:23 EST by morgan read
Modified: 2012-08-16 17:54 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 550356 649981 (view as bug list)
Environment:
Last Closed: 2012-08-16 17:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba configuration (9.81 KB, application/octet-stream)
2009-02-18 18:23 EST, morgan read
no flags Details
Nmdd log file.... (9.29 KB, text/plain)
2009-02-23 04:23 EST, antonio montagnani
no flags Details
Debug log output from using "nmbd -D --debuglevel=10" while nmbd crashed (8.81 KB, application/octet-stream)
2009-03-27 00:03 EDT, Larry O'Leary
no flags Details
Samba configuration file smb.conf (virtualy default smb.conf) (9.55 KB, application/octet-stream)
2009-03-27 00:05 EDT, Larry O'Leary
no flags Details

  None (edit)
Description morgan read 2009-02-18 18:23:51 EST
Created attachment 332478 [details]
samba configuration

Description of problem:
* Samba shares do not appear in gnome Network > Windows Network of host machine, or other machines (including windows) on the network;
* Via gnome Connect to Server... various errors are displayed depending on how complete the dialogue is:
---
Cannot display location "smb://morgansmachine/"
Failed to retrieve share list from server
---
Cannot display location "smb://workgroup;morgan@morgansmachine/morgan/"
Failed to mount Windows share

Version-Release number of selected component (if applicable):
$ rpm -q samba
samba-3.2.8-0.26.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Set up shares (samba.conf attached)
2. Attempt to use shares in various contexts
3.
  
Actual results:
No shares visible, unable to mount shares

Expected results:
Shares visible, able to mount shares

Additional info:
$ service smb status
smbd (pid  2395) is running...
$ service nmb status
nmbd dead but pid file exists
Comment 1 Simo Sorce 2009-02-18 19:29:43 EST
Please set log level to 10, reboot the machine so that you reproduce it, then post the nmbd log.
Comment 2 antonio montagnani 2009-02-23 04:02:15 EST
I have same problem in my F10 laptop. Where is the log level to be set to 10???
Comment 3 antonio montagnani 2009-02-23 04:23:45 EST
Created attachment 332914 [details]
Nmdd log file....

I restarted the machine....and here is the log with log level = 10.
Comment 4 antonio montagnani 2009-02-23 04:26:26 EST
Forgot to say that network is managed by Network Manager and not by network, as I suppose it is done on most of laptops.

Is it connected to the fact that when smbd is started (or should be started) at boot-time, network connection is still not available???
Comment 5 Simo Sorce 2009-02-23 08:20:18 EST
Yes, if nmbd does not find the network it stops.
Comment 6 morgan read 2009-02-24 03:31:56 EST
Re Comment #2, Antonio my sentiments exactly
Re Comment #3, what's your answer?
Re Comment #5, Hmm, that's a bit of a show stopper
Comment 7 antonio montagnani 2009-02-24 04:13:33 EST
morgan

you have to add log level = 10 in global section of smba.conf in /etc/samba

About comment#5 :

the question is whether laptop users are sharing (or should share) on a Windows network especially if they are asking their IP number from a DHCP machine.But why a Microsoft machine is showing on a network even if they are going to connect through DHCP and a Linux machine is not showing???
I suppose that is more philosophy than technology :-)
Comment 8 Simo Sorce 2009-02-24 08:57:34 EST
(In reply to comment #6)
> Re Comment #2, Antonio my sentiments exactly
> Re Comment #3, what's your answer?
> Re Comment #5, Hmm, that's a bit of a show stopper

No it's not a showstopper.
You have 2 choices:

1. use networks instead of NM
2. set NETWORKWAIT=yes in /etc/sysconfig/network

A third solution would be to restart nmbd when NM signals that the network is up.
We have still not implemented such a hook, but since we separated out nmbd and smbd init scripts it is possible.

Guenther do we have any plan of adding such script in F11 packages ?
Comment 9 Larry O'Leary 2009-03-09 10:27:20 EDT
I understand that nmbd needs a network but there must be another way to make this happen.  In my case I am not using smb as a means to share file, I am using nmb as a means to perform name resolution.  Because my network connection is roaming and requires authorization, NetworkManager seems like a logical manager of the network connection so that it can prompt the user for a password when the network is connected.  I would expect nmbd to start regardless and bind to the new network when it comes on-line.  

There must be a way around this.  First of all, I do not recall having this issue until F10.  Second of all, NMB already binds to new interfaces as they come on-line.  So, the only different here is that at start-up, NMB isn't able to find a network because one doesn't exist so in this case it should simply go into a wait state (in the background) for a network to become available.
Comment 10 morgan read 2009-03-19 22:41:25 EDT
Re Comment 6, sorry - a bit sharp; too late, not enough sleep...

A complete fix to this bug seems to be provided here:
http://forums.fedoraforum.org/showthread.php?t=208296#7

Instead of using networks, use NM and have it publish config system-wide, start at boot (before login) and also wait until network is up:
set NETWORKWAIT=true in /etc/sysconfig/network

Gnome still seems to have problems showing it's own smb network at times (can't get list of shares or some such) typically after first login, but seems to be solved by logout and re-login.  Also, shares show up on other machines on the network before any login - so, guess this is gnome somehow.

As NM is the default for Fedora now, might be helpful for nmb to somehow require it's system-wide set up or provide a warning?
Comment 11 Simo Sorce 2009-03-26 15:19:14 EDT
Can you test again with the latest update.
I've tested it again and can't reproduce and Jeremy Allison confirmed me he added some code specifically to wait if no interfaces are present at startup so the bug should be fixed.
Comment 12 Larry O'Leary 2009-03-26 16:17:09 EDT
I am currently running the latest update of Samba (3.2.8-0.27.fc10) and still see the problem... I also do not see a newer version in fedora-testing so am thinking the issue still exists.
Comment 13 Simo Sorce 2009-03-26 16:54:58 EDT
Can you reproduce it if you disable the network in NM and restart nmbd ?
Or do you see this exclusively at startup ?

Can you please set debug level = 10 in smb.conf (and set a large max log size) and attach here your smb.conf and nmbd log files ?
Comment 14 Larry O'Leary 2009-03-26 23:59:49 EDT
(In reply to comment #13)
It does not seem I can reproduce it by disabling the network in NM and attempting to start nmbd.  When I do this I see what you are describing in regards to the "wait for interface".

It appears this issue only occurs at startup and furthermore, it doesn't happen every startup, just most.  During my testing of restarting 10 times, 1 time out of the 10 nmbd started normally without any errors but the other 9 resulted in nmbd crashing when it attempted the open_sockets call.
Comment 15 Larry O'Leary 2009-03-27 00:03:51 EDT
Created attachment 336940 [details]
Debug log output from using "nmbd -D --debuglevel=10" while nmbd crashed

Debug log out from nmbd attached.  The log was generated by adding --debuglevel=10 to NMBDOPTIONS in /etc/sysconfig/samba and then rebooting machine.  After reboot nmbd status indicated pid file existed but nmbd died.
Comment 16 Larry O'Leary 2009-03-27 00:05:29 EDT
Created attachment 336941 [details]
Samba configuration file smb.conf (virtualy default smb.conf)

This is my smb.conf file.  It should be the default install with one minor change to the workgroup name.  No other changes have been made.
Comment 17 Bug Zapper 2009-11-18 06:09:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Paul Lipps 2009-12-14 11:18:33 EST
This is still an issue on Fedora 12 i386 and x86_64. NMB fails to start almost every time I cold boot, restart, or wake from suspend my ASUS Eee PC 1000HE using it's wireless connection.

Oh my x86_64 desktop with wired connection, it has failed on a rare occasion to start using a wired connection.
Comment 19 Bug Zapper 2009-12-18 02:57:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Paul Lipps 2009-12-19 12:45:20 EST
As indicated on comment #18 this is still an issue.
Comment 21 morgan read 2010-01-02 18:55:20 EST
Re-opened as reporter and seeing creation of Bug 550356 & comment #18.
Comment 22 Dagan McGregor 2010-02-19 21:03:56 EST
 I am not sure which of these bugs to add comments, so commenting on both.

 I have regular problems with SMB running, and NMB being dead, from my PC.

 I am running Fedora 12 x86_64, samba-3.4.5-55.fc12.x86_64

 When I check NMB, I notice it randomly ends up dead:

 $ service nmb status
nmbd dead but pid file exists

 I have NM managing my WIRED eth0 network, it's listed as 'System eth0'. It does pick up IP address from DHCP (IP fixed via DHCP).

 But I've also noticed NMB will sometimes die randomly while my PC is running.

 Do I need to add a log file from my PC also?
Comment 23 Paul Lipps 2010-05-29 23:49:29 EDT
This issue still exists on Fedora 13. This was expected, I am just confirming it.
Comment 24 Guenther Deschner 2010-10-08 10:03:15 EDT
Is this still the case with recent updates, if so, can you please provide backtrace / logfiles so we can debug the cause of that ? Thanks.
Comment 25 Fedora Admin XMLRPC Client 2010-10-08 10:44:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 26 Bug Zapper 2010-11-04 07:29:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Guenther Deschner 2010-11-04 10:17:02 EDT
No feedback, closing with insufficient data. Please open a new bug if this is still an issue with a newer (supported) version of Fedora.
Comment 28 morgan read 2010-11-06 05:37:47 EDT
Product: Fedora
Version: 12
Component: samba

Bug Zapper <fedora-triage-list@redhat.com> has asked morgan read
<mstuff@read.org.nz> for needinfo:
Bug 486231: samba not publishing shares, very likely due to service nmb dying
following successful boot
https://bugzilla.redhat.com/show_bug.cgi?id=486231


Wow Guenther, less than 3 hours between asking for info and closing bug for insufficient info - that's got to be a record.  You must be keeping your bosses happy with all the bugs getting closed for insufficient data on that sort of turn around!

Re-opened and bumped to f13 re comment 23 above.

Regards.
Comment 29 Simo Sorce 2011-04-06 11:22:33 EDT
*** Bug 649981 has been marked as a duplicate of this bug. ***
Comment 30 Simo Sorce 2011-04-06 11:23:15 EDT
*** Bug 550356 has been marked as a duplicate of this bug. ***
Comment 31 Simo Sorce 2011-04-06 11:33:48 EDT
*** Bug 659018 has been marked as a duplicate of this bug. ***
Comment 32 Simo Sorce 2011-04-06 11:59:48 EDT
*** Bug 692636 has been marked as a duplicate of this bug. ***
Comment 33 Bug Zapper 2011-06-02 14:15:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Paul Lipps 2011-06-06 23:40:37 EDT
This bug is an issue in Fedora 14 x98_64 as well. I just recently upgraded to Fedora 15 so I will report back if it's still an issue with this release as well.
Comment 35 Paul Lipps 2011-06-15 16:57:37 EDT
This issue appears resolved for me on Fedora 15 both i386 and x86_64. Yay systemd? Could someone else please verify if it's still an issue for them on Fedora 15?
Comment 36 Orion Poplawski 2011-06-21 18:53:59 EDT
Seems okay for me too on F15, though I suspect it is luck of different ordering rather than any real fix.
Comment 37 Panagiotis Kalogiratos 2011-12-08 06:54:00 EST
As of FC16 this is reproducible as long as the wired connection is managed by NM AND "Allow all users and disable the device" is unchecked in Network Settings. As soon as you check it nmbd starts properly on boot. Otherwise it fails with log.nmdb identical to the one attached in this bug (with debug output on).
Comment 38 Vitalii Abetkin 2012-02-20 19:04:48 EST
On F16 disabling NetworkManager.service and enabling network.service helped
Comment 39 Fedora End Of Life 2012-08-16 17:54:03 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.